/v1/workspaces/{workspace_id}/categories/{category_id}AuthGet a category
Path parameters
workspace_id*string · uuidId of the workspace.
category_id*string · uuidId of the category.
Response · 200 The category.
id*string · uuidCategory id.
key*stringStable key.
Example: "security"
name*stringDisplay name.
description*stringDescription.
defaults*objectDefault per channel.
ordinal*integerSort order.
android_channel_id*stringAndroid notification channel id (the key unless set).
transactional*booleanWhether email goes out without List-Unsubscribe.
created_at*string · date-timeCreated.
updated_at*string · date-timeLast change.
Example
Request
GET https://api.notify.productcraft.co/v1/workspaces/{workspace_id}/categories/{category_id}
Authorization: Bearer YOUR_TOKENResponse
{
"id": "00000000-0000-0000-0000-000000000000",
"key": "security",
"name": "string",
"description": "string",
"defaults": {},
"ordinal": 0,
"android_channel_id": "string",
"transactional": false,
"created_at": "2026-01-01T00:00:00.000Z",
"updated_at": "2026-01-01T00:00:00.000Z"
}